<?php

namespace app\Http\Models;

use Illuminate\Database\Eloquent\Model;

class PerkembanganAnak extends Model
{
    protected $table = 'perkembangan_anak';
    protected $fillable = ['id_perkembangan_anak','bumil_id','nama_bayi','tgl_lahir','jenis_kelamin','berat_bayi_lahir','panjang_bayi_lahir','menyusui_dini','susu_formula','melahirkan_di','makanan_selain_asi','mp_asi','vitamin_a','vitamin_a2','vitamin_a3','vitamin_a4','tanggalSimpan','users_id','periode_id'];
    protected $primaryKey = "id_perkembangan_anak";
    public $timestamps = false;

    public function periode(){
        return $this->belongsTo('App\Http\Models\PeriodeKehamilan','periode_id');        
    }

    public function bumil(){
        return $this->belongsTo('App\Http\Models\IbuHamil','bumil_id');        
    }

    public function users(){
        return $this->belongsTo('App\Http\Models\Users','users_id');        
    }
}
